package com.netsitech.rcp.desktop.sample.form;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Table;
import org.eclipse.ui.forms.widgets.Form;
import org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory;

import com.netsitech.rcp.framework.exception.FWKException;
import com.netsitech.rcp.framework.form.IFWKFormGenerator;

public class SampleForm implements IFWKFormGenerator<Form> {
	public static final String ID = "com.netsitech.rcp.desktop.sample.form.SampleForm"; //$NON-NLS-1$

	protected Form form;

	protected Table table;

	public SampleForm() {
	}

	public Form generate(Composite parent) throws FWKException {
		TabbedPropertySheetWidgetFactory factory = new TabbedPropertySheetWidgetFactory();
		form = factory.createForm(parent);
		form.setText("Sample Form");
		form.getBody().setLayout(new GridLayout(1, false));

		table = factory.createTable(form.getBody(), SWT.SINGLE);
		table.setLinesVisible(true);
		table.setHeaderVisible(true);

		table.setLayoutData(new GridData(GridData.FILL_BOTH));

		factory.decorateFormHeading(form);
		return form;
	}

	public String getID() {
		return ID;
	}
}
