package com.netsitech.rcp.desktop.sample.action;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.actions.ActionFactory;

import com.netsitech.rcp.desktop.sample.Activator;
import com.netsitech.rcp.desktop.sample.dialog.SampleDialog;

public class SampleAction extends Action implements ActionFactory.IWorkbenchAction {
	public SampleAction() {
		super("Sample action");
		setToolTipText("Sample action");
	}

	/*
	 * (non-Javadoc) Method declared on Action.
	 */
	@Override
	public void run() {
		SampleDialog dialog = new SampleDialog(PlatformUI.getWorkbench().getDisplay().getActiveShell());
		dialog.create();
		dialog.open();
	}

	public void dispose() {
		// Do nothing

	}

	@Override
	public String getId() {
		return getClass().getName();
	}

	@Override
	public ImageDescriptor getImageDescriptor() {
		return Activator.getImageDescriptor("icons/alt_window_16.gif"); //$NON-NLS-1$
	}
}
