package com.netsitech.rcp.desktop.sample.contribution;

import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.ToolBar;

import com.netsitech.rcp.desktop.sample.action.SampleAction;
import com.netsitech.rcp.framework.application.contribution.FWKContributionItem;

public class SampleContributionItem extends FWKContributionItem {
	protected SampleAction sampleAction = new SampleAction();

	public SampleContributionItem() {
	}

	public SampleContributionItem(String id) {
		super(id);
	}

	@Override
	protected String getMenuText() {
		return "Sample menu";
	}

	@Override
	protected void createMenu(Menu menu) {
		createActionMenuItem(menu, sampleAction);
	}

	@Override
	protected void createToolbar(ToolBar toolbar) {
		createActionToolItem(toolbar, sampleAction);
	}
}
